<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <!-- XUA -->
    <s:div id="XUADiv">
        <s:div rendered="#{simuManager.selectedTransaction != null}">
            <a4j:region id="isXUAUsedRegion">
                <s:decorate id="isXUAUsedDecorate" template="/layout/edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.UseXUA']}</ui:define>
                    <h:selectBooleanCheckbox id="isXUAUsedValue" value="#{simuManager.useXUA}">
                        <a4j:ajax event="change" render="XUADiv"/>
                    </h:selectBooleanCheckbox>
                </s:decorate>
            </a4j:region>
            <gri:panel id="samlProviderDiv" rendered="#{simuManager.useXUA}">
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XUAParameters']}</f:facet>
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PraticianID']}</ui:define>
                        <ui:param name="id" value="praticianIdId"/>
                        <h:inputText id="praticianIdId" value="#{simuManager.praticianID}" maxlength="255" size="80"
                                     styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XSPASubject']}</ui:define>
                        <ui:param name="id" value="XSPASubjectId"/>
                        <h:inputText id="XSPASubjectId" value="#{simuManager.attributes.XSPASubject}" styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Role']}</ui:define>
                        <ui:param name="id" value="roleId"/>
                        <h:selectOneMenu id="roleId" value="#{simuManager.attributes.XSPARole}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{xuaConfig.listXSPRoles}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ClinicalSpeciality']}</ui:define>
                        <ui:param name="id" value="clinicalSpecialityId"/>
                        <h:selectOneMenu id="clinicalSpecialityId" value="#{simuManager.attributes.HITSPClinicalSpeciality}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{xuaConfig.listClinicalSpecialties}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Organization']}</ui:define>
                        <ui:param name="id" value="organizationId"/>
                        <h:inputText id="organizationId" value="#{simuManager.attributes.XSPAOrganization}" styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XSPAOrganizationId']}</ui:define>
                        <ui:param name="id" value="XSPAOrganizationIdId"/>
                        <h:inputText id="XSPAOrganizationIdId" value="#{simuManager.attributes.XSPAOrganizationId}" styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HealthCareFacilityType']}</ui:define>
                        <ui:param name="id" value="healthcareFacilityTypeId"/>
                        <h:selectOneMenu id="healthcareFacilityTypeId" value="#{simuManager.attributes.epSOSHealthcareFacilityType}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{xuaConfig.listHealthcareFacilityType}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PurposeOfUse']}</ui:define>
                        <ui:param name="id" value="purposeOfUseId"/>
                        <h:selectOneMenu id="purposeOfUseId" value="#{simuManager.attributes.XSPAPurposeOfUse}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{xuaConfig.listPurposeOfUse}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XSPALocality']}</ui:define>
                        <ui:param name="id" value="XSPALocalityId"/>
                        <h:inputText id="XSPALocalityId" value="#{simuManager.attributes.XSPALocality}" styleClass="form-control"/>
                    </s:decorate>
                </div>
            </gri:panel>
        </s:div>
    </s:div>
</ui:composition>
